Personally I'm having a problem with the latest update - my mongrels
are throwing up on XHR:

Mon Jun 23 23:35:49 -0400 2008: HTTP parse error, malformed request
(127.0.0.1): #<Mongrel::HttpParserError: Invalid HTTP format, parsing
fails.>

It is only XHR, all plain HTML requests are fine.  I tried going back
to 1.1.1 to no avail.

My submitted bug report:
http://rubyforge.org/tracker/index.php?func=detail&aid=20804&group_id=126&atid=575

Some additional details:
http://www.mc-kenna.com/2008/06/rubygems-120-causing-problems-for-anyone-else/

Any help would be greatly appreciated.  Thanks.